diff -upr ioquake3svn1438/code/q3_ui/ui_teamorders.c ioquake3serverFix/code/q3_ui/ui_teamorders.c
--- ioquake3svn1438/code/q3_ui/ui_teamorders.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_teamorders.c	2008-08-09 11:28:12.000000000 -0500
@@ -39,7 +39,6 @@ TEAM ORDERS MENU
 #define ID_LIST_BOTS		10
 #define ID_LIST_CTF_ORDERS	11
 #define ID_LIST_TEAM_ORDERS	12
-#define ID_LIST_DD_ORDERS	13
 
 
 typedef struct {
@@ -76,7 +75,7 @@ static const char *ctfMessages[] = {
 	"i am the leader",
 	"%s defend the base",
 	"%s follow me",
-	"%s get the enemy flag",
+	"%s get enemy flag",
 	"%s camp here",
 	"%s report",
 	"i stop being the leader",
@@ -103,29 +102,6 @@ static const char *teamMessages[] = {
 	NULL
 };
 
-#define NUM_DD_ORDERS		8
-static const char *ddOrders[] = {
-	"I Am the Leader",
-	"Follow Me",
-	"Roam",
-	"Dominate Point A",
-	"Dominate Point B",
-	"Camp Here",
-	"Report",
-	"I Relinquish Command",
-	NULL
-};
-static const char *ddMessages[] = {
-	"i am the leader",
-	"%s follow me",
-	"%s roam",
-	"%s dominate point A",
-	"%s dominate point B",
-	"%s camp here",
-	"%s report",
-	"i stop being the leader",
-	NULL
-};
 
 /*
 ===============
@@ -165,12 +141,6 @@ static void UI_TeamOrdersMenu_SetList( i
 		teamOrdersMenuInfo.list.numitems = NUM_TEAM_ORDERS;
 		teamOrdersMenuInfo.list.itemnames = teamOrders;
 		break;
-
-	case ID_LIST_DD_ORDERS:
-		teamOrdersMenuInfo.list.generic.id = id;
-		teamOrdersMenuInfo.list.numitems = NUM_DD_ORDERS;
-		teamOrdersMenuInfo.list.itemnames = ddOrders;
-		break;
 	}
 
 	teamOrdersMenuInfo.list.generic.bottom = teamOrdersMenuInfo.list.generic.top + teamOrdersMenuInfo.list.numitems * PROP_HEIGHT;
@@ -294,28 +264,21 @@ static void UI_TeamOrdersMenu_ListEvent(
 
 	if( id == ID_LIST_BOTS ) {
 		teamOrdersMenuInfo.selectedBot = selection;
-		if( teamOrdersMenuInfo.gametype == GT_CTF || teamOrdersMenuInfo.gametype == GT_CTF_ELIMINATION ) {
+		if( teamOrdersMenuInfo.gametype == GT_CTF ) {
 			UI_TeamOrdersMenu_SetList( ID_LIST_CTF_ORDERS );
 		}
-		if( teamOrdersMenuInfo.gametype == GT_TEAM || teamOrdersMenuInfo.gametype == GT_ELIMINATION ) {
+		else {
 			UI_TeamOrdersMenu_SetList( ID_LIST_TEAM_ORDERS );
 		}
-		if( teamOrdersMenuInfo.gametype == GT_DOUBLE_D ) {
-			UI_TeamOrdersMenu_SetList( ID_LIST_DD_ORDERS );
-		}
-
 		return;
 	}
 
 	if( id == ID_LIST_CTF_ORDERS ) {
 		Com_sprintf( message, sizeof(message), ctfMessages[selection], teamOrdersMenuInfo.botNames[teamOrdersMenuInfo.selectedBot] );
 	}
-	if( id == ID_LIST_TEAM_ORDERS ) {
+	else {
 		Com_sprintf( message, sizeof(message), teamMessages[selection], teamOrdersMenuInfo.botNames[teamOrdersMenuInfo.selectedBot] );
 	}
-	if( id == ID_LIST_DD_ORDERS ) {
-		Com_sprintf( message, sizeof(message), ddMessages[selection], teamOrdersMenuInfo.botNames[teamOrdersMenuInfo.selectedBot] );
-	}
 
 	trap_Cmd_ExecuteText( EXEC_APPEND, va( "say_team \"%s\"\n", message ) );
 	UI_PopMenu();
@@ -468,7 +431,7 @@ void UI_TeamOrdersMenu_f( void ) {
 	// make sure it's a team game
 	trap_GetConfigString( CS_SERVERINFO, info, sizeof(info) );
 	teamOrdersMenuInfo.gametype = atoi( Info_ValueForKey( info, "g_gametype" ) );
-	if( teamOrdersMenuInfo.gametype < GT_TEAM || teamOrdersMenuInfo.gametype!=GT_LMS) {
+	if( teamOrdersMenuInfo.gametype < GT_TEAM ) {
 		return;
 	}
 
diff -upr ioquake3svn1438/code/q3_ui/ui_video.c ioquake3serverFix/code/q3_ui/ui_video.c
--- ioquake3svn1438/code/q3_ui/ui_video.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_video.c	2008-08-09 11:28:12.000000000 -0500
@@ -266,14 +266,11 @@ typedef struct {
 	menuslider_s	tq;
 	menulist_s  	fs;
 	menulist_s  	lighting;
-        menulist_s  	flares;
-        menulist_s  	bloom;
 	menulist_s  	allow_extensions;
 	menulist_s  	texturebits;
 	menulist_s  	colordepth;
 	menulist_s  	geometry;
 	menulist_s  	filter;
-        menulist_s  	aniso;
 	menutext_s		driverinfo;
 
 	menubitmap_s	apply;
@@ -286,13 +283,10 @@ typedef struct
 	qboolean fullscreen;
 	int tq;
 	int lighting;
-        qboolean flares;
-        qboolean bloom;
 	int colordepth;
 	int texturebits;
 	int geometry;
 	int filter;
-        int aniso;
 	int driver;
 	qboolean extensions;
 } InitialVideoOptions_s;
@@ -303,22 +297,22 @@ static graphicsoptions_t		s_graphicsopti
 static InitialVideoOptions_s s_ivo_templates[] =
 {
 	{
-		6, qtrue, 3, 0, qfalse,qfalse, 2, 2, 2, 1, 0, 0, qtrue
+		6, qtrue, 3, 0, 2, 2, 2, 1, 0, qtrue
 	},
 	{
-		4, qtrue, 2, 0, qfalse,qfalse, 2, 2, 1, 1, 0, 0, qtrue	// JDC: this was tq 3
+		4, qtrue, 2, 0, 2, 2, 1, 1, 0, qtrue	// JDC: this was tq 3
 	},
 	{
-		3, qtrue, 2, 0, qfalse,qfalse, 0, 0, 1, 0, 0, 0, qtrue
+		3, qtrue, 2, 0, 0, 0, 1, 0, 0, qtrue
 	},
 	{
-		2, qtrue, 1, 0, qfalse,qfalse, 1, 0, 0, 0, 0, 0, qtrue
+		2, qtrue, 1, 0, 1, 0, 0, 0, 0, qtrue
 	},
 	{
-		2, qtrue, 1, 1, qfalse,qfalse, 1, 0, 0, 0, 0, 0, qtrue
+		2, qtrue, 1, 1, 1, 0, 0, 0, 0, qtrue
 	},
 	{
-		3, qtrue, 1, 0, qfalse,qfalse, 0, 0, 1, 0, 0, 0, qtrue
+		3, qtrue, 1, 0, 0, 0, 1, 0, 0, qtrue
 	}
 };
 
@@ -409,11 +403,8 @@ static void GraphicsOptions_GetInitialVi
 	s_ivo.extensions  = s_graphicsoptions.allow_extensions.curvalue;
 	s_ivo.tq          = s_graphicsoptions.tq.curvalue;
 	s_ivo.lighting    = s_graphicsoptions.lighting.curvalue;
-        s_ivo.flares      = s_graphicsoptions.flares.curvalue;
-        s_ivo.bloom      = s_graphicsoptions.bloom.curvalue;
 	s_ivo.geometry    = s_graphicsoptions.geometry.curvalue;
 	s_ivo.filter      = s_graphicsoptions.filter.curvalue;
-        s_ivo.aniso      = s_graphicsoptions.aniso.curvalue;
 	s_ivo.texturebits = s_graphicsoptions.texturebits.curvalue;
 }
 
@@ -432,7 +423,7 @@ static void GraphicsOptions_CheckConfig(
 			continue;
 		if ( s_ivo_templates[i].driver != s_graphicsoptions.driver.curvalue )
 			continue;
-		if ( s_ivo_templates[i].mode != s_graphicsoptions.mode.curvalue )
+		if ( GraphicsOptions_FindDetectedResolution(s_ivo_templates[i].mode) != s_graphicsoptions.mode.curvalue )
 			continue;
 		if ( s_ivo_templates[i].fullscreen != s_graphicsoptions.fs.curvalue )
 			continue;
@@ -440,16 +431,10 @@ static void GraphicsOptions_CheckConfig(
 			continue;
 		if ( s_ivo_templates[i].lighting != s_graphicsoptions.lighting.curvalue )
 			continue;
-                if ( s_ivo_templates[i].flares != s_graphicsoptions.flares.curvalue )
-			continue;
-                if ( s_ivo_templates[i].bloom != s_graphicsoptions.bloom.curvalue )
-			continue;
 		if ( s_ivo_templates[i].geometry != s_graphicsoptions.geometry.curvalue )
 			continue;
 		if ( s_ivo_templates[i].filter != s_graphicsoptions.filter.curvalue )
 			continue;
-                if ( s_ivo_templates[i].aniso != s_graphicsoptions.aniso.curvalue )
-			continue;
 //		if ( s_ivo_templates[i].texturebits != s_graphicsoptions.texturebits.curvalue )
 //			continue;
 		s_graphicsoptions.list.curvalue = i;
@@ -518,14 +503,6 @@ static void GraphicsOptions_UpdateMenuIt
 	{
 		s_graphicsoptions.apply.generic.flags &= ~(QMF_HIDDEN|QMF_INACTIVE);
 	}
-        if ( s_ivo.flares != s_graphicsoptions.flares.curvalue )
-	{
-		s_graphicsoptions.apply.generic.flags &= ~(QMF_HIDDEN|QMF_INACTIVE);
-	}
-        if ( s_ivo.bloom != s_graphicsoptions.bloom.curvalue )
-	{
-		s_graphicsoptions.apply.generic.flags &= ~(QMF_HIDDEN|QMF_INACTIVE);
-	}
 	if ( s_ivo.colordepth != s_graphicsoptions.colordepth.curvalue )
 	{
 		s_graphicsoptions.apply.generic.flags &= ~(QMF_HIDDEN|QMF_INACTIVE);
@@ -546,10 +523,6 @@ static void GraphicsOptions_UpdateMenuIt
 	{
 		s_graphicsoptions.apply.generic.flags &= ~(QMF_HIDDEN|QMF_INACTIVE);
 	}
-        if ( s_ivo.aniso != s_graphicsoptions.aniso.curvalue )
-	{
-		s_graphicsoptions.apply.generic.flags &= ~(QMF_HIDDEN|QMF_INACTIVE);
-	}
 
 	GraphicsOptions_CheckConfig();
 }	
@@ -582,7 +555,12 @@ static void GraphicsOptions_ApplyChanges
 	if( resolutionsDetected )
 	{
 		// search for builtin mode that matches the detected mode
-		int mode = GraphicsOptions_FindBuiltinResolution( s_graphicsoptions.mode.curvalue );
+		int mode;
+		if ( s_graphicsoptions.mode.curvalue == -1
+			|| s_graphicsoptions.mode.curvalue >= sizeof(detectedResolutions)/sizeof(detectedResolutions[0]) )
+			s_graphicsoptions.mode.curvalue = 0;
+
+		mode = GraphicsOptions_FindBuiltinResolution( s_graphicsoptions.mode.curvalue );
 		if( mode == -1 )
 		{
 			char w[ 16 ], h[ 16 ];
@@ -604,20 +582,7 @@ static void GraphicsOptions_ApplyChanges
 	trap_Cvar_SetValue( "r_depthbits", 0 );
 	trap_Cvar_SetValue( "r_stencilbits", 0 );
 	trap_Cvar_SetValue( "r_vertexLight", s_graphicsoptions.lighting.curvalue );
-        trap_Cvar_SetValue( "r_flares", s_graphicsoptions.flares.curvalue );
-        trap_Cvar_SetValue( "r_bloom", s_graphicsoptions.bloom.curvalue );
-        
-        //r_ext_texture_filter_anisotropic is special
-        if(s_graphicsoptions.aniso.curvalue) {
-            trap_Cvar_SetValue( "r_ext_max_anisotropy", s_graphicsoptions.aniso.curvalue*2 );
-            trap_Cvar_SetValue( "r_ext_texture_filter_anisotropic", qtrue );
-        }
-        else
-            trap_Cvar_SetValue( "r_ext_texture_filter_anisotropic", qfalse );
-        
-        trap_Cvar_SetValue( "com_hunkmegs", 128 );
-        
-        
+
 	if ( s_graphicsoptions.geometry.curvalue == 2 )
 	{
 		trap_Cvar_SetValue( "r_lodBias", 0 );
@@ -673,17 +638,14 @@ static void GraphicsOptions_Event( void*
 	case ID_LIST:
 		ivo = &s_ivo_templates[s_graphicsoptions.list.curvalue];
 
-		s_graphicsoptions.mode.curvalue        = ivo->mode;
+		s_graphicsoptions.mode.curvalue        = GraphicsOptions_FindDetectedResolution(ivo->mode);
 		s_graphicsoptions.tq.curvalue          = ivo->tq;
 		s_graphicsoptions.lighting.curvalue    = ivo->lighting;
 		s_graphicsoptions.colordepth.curvalue  = ivo->colordepth;
 		s_graphicsoptions.texturebits.curvalue = ivo->texturebits;
 		s_graphicsoptions.geometry.curvalue    = ivo->geometry;
 		s_graphicsoptions.filter.curvalue      = ivo->filter;
-                s_graphicsoptions.aniso.curvalue       = ivo->aniso;
 		s_graphicsoptions.fs.curvalue          = ivo->fullscreen;
-                s_graphicsoptions.flares.curvalue      = ivo->flares;
-                s_graphicsoptions.bloom.curvalue      = ivo->bloom;
 		break;
 
 	case ID_DRIVERINFO:
@@ -780,11 +742,6 @@ static void GraphicsOptions_SetMenuItems
 	}
 	s_graphicsoptions.fs.curvalue = trap_Cvar_VariableValue("r_fullscreen");
 	s_graphicsoptions.allow_extensions.curvalue = trap_Cvar_VariableValue("r_allowExtensions");
-        s_graphicsoptions.flares.curvalue = trap_Cvar_VariableValue("r_flares");
-        s_graphicsoptions.bloom.curvalue = trap_Cvar_VariableValue("r_bloom");
-        if(trap_Cvar_VariableValue("r_ext_texture_filter_anisotropic")) {
-            s_graphicsoptions.aniso.curvalue = trap_Cvar_VariableValue("r_ext_max_anisotropy")/2;
-        }
 	s_graphicsoptions.tq.curvalue = 3-trap_Cvar_VariableValue( "r_picmip");
 	if ( s_graphicsoptions.tq.curvalue < 0 )
 	{
@@ -894,8 +851,8 @@ void GraphicsOptions_MenuInit( void )
 
 	static const char *lighting_names[] =
 	{
-		"Lightmap (Normal)",
-		"Vertex (Low)",
+		"Lightmap",
+		"Vertex",
 		NULL
 	};
 
@@ -913,17 +870,6 @@ void GraphicsOptions_MenuInit( void )
 		"Trilinear",
 		NULL
 	};
-        
-        static const char *aniso_names[] =
-	{
-		"Off",
-		"2x",
-                "4x",
-                "6x",
-                "8x",
-		NULL
-	};
-        
 	static const char *quality_names[] =
 	{
 		"Low",
@@ -1100,24 +1046,6 @@ void GraphicsOptions_MenuInit( void )
 	s_graphicsoptions.lighting.generic.y	 = y;
 	s_graphicsoptions.lighting.itemnames     = lighting_names;
 	y += BIGCHAR_HEIGHT+2;
-        
-        // references/modifies "r_flares"
-	s_graphicsoptions.flares.generic.type     = MTYPE_SPINCONTROL;
-	s_graphicsoptions.flares.generic.name	  = "Flares:";
-	s_graphicsoptions.flares.generic.flags	  = QMF_PULSEIFFOCUS|QMF_SMALLFONT;
-	s_graphicsoptions.flares.generic.x	      = 400;
-	s_graphicsoptions.flares.generic.y	      = y;
-	s_graphicsoptions.flares.itemnames	      = enabled_names;
-	y += BIGCHAR_HEIGHT+2;
-        
-        // references/modifies "r_bloom"
-	s_graphicsoptions.bloom.generic.type     = MTYPE_SPINCONTROL;
-	s_graphicsoptions.bloom.generic.name	  = "Bloom:";
-	s_graphicsoptions.bloom.generic.flags	  = QMF_PULSEIFFOCUS|QMF_SMALLFONT;
-	s_graphicsoptions.bloom.generic.x	      = 400;
-	s_graphicsoptions.bloom.generic.y	      = y;
-	s_graphicsoptions.bloom.itemnames	      = enabled_names;
-	y += BIGCHAR_HEIGHT+2;
 
 	// references/modifies "r_lodBias" & "subdivisions"
 	s_graphicsoptions.geometry.generic.type  = MTYPE_SPINCONTROL;
@@ -1155,14 +1083,6 @@ void GraphicsOptions_MenuInit( void )
 	s_graphicsoptions.filter.generic.x	    = 400;
 	s_graphicsoptions.filter.generic.y	    = y;
 	s_graphicsoptions.filter.itemnames      = filter_names;
-	y += 2+BIGCHAR_HEIGHT;
-        
-        s_graphicsoptions.aniso.generic.type   = MTYPE_SPINCONTROL;
-	s_graphicsoptions.aniso.generic.name	= "Anisotropy:";
-	s_graphicsoptions.aniso.generic.flags	= QMF_PULSEIFFOCUS|QMF_SMALLFONT;
-	s_graphicsoptions.aniso.generic.x	    = 400;
-	s_graphicsoptions.aniso.generic.y	    = y;
-	s_graphicsoptions.aniso.itemnames      = aniso_names;
 	y += 2*BIGCHAR_HEIGHT;
 
 	s_graphicsoptions.driverinfo.generic.type     = MTYPE_PTEXT;
@@ -1213,13 +1133,10 @@ void GraphicsOptions_MenuInit( void )
 	Menu_AddItem( &s_graphicsoptions.menu, ( void * ) &s_graphicsoptions.colordepth );
 	Menu_AddItem( &s_graphicsoptions.menu, ( void * ) &s_graphicsoptions.fs );
 	Menu_AddItem( &s_graphicsoptions.menu, ( void * ) &s_graphicsoptions.lighting );
-        Menu_AddItem( &s_graphicsoptions.menu, ( void * ) &s_graphicsoptions.flares );
-        Menu_AddItem( &s_graphicsoptions.menu, ( void * ) &s_graphicsoptions.bloom );
 	Menu_AddItem( &s_graphicsoptions.menu, ( void * ) &s_graphicsoptions.geometry );
 	Menu_AddItem( &s_graphicsoptions.menu, ( void * ) &s_graphicsoptions.tq );
 	Menu_AddItem( &s_graphicsoptions.menu, ( void * ) &s_graphicsoptions.texturebits );
 	Menu_AddItem( &s_graphicsoptions.menu, ( void * ) &s_graphicsoptions.filter );
-        Menu_AddItem( &s_graphicsoptions.menu, ( void * ) &s_graphicsoptions.aniso );
 	Menu_AddItem( &s_graphicsoptions.menu, ( void * ) &s_graphicsoptions.driverinfo );
 
 	Menu_AddItem( &s_graphicsoptions.menu, ( void * ) &s_graphicsoptions.back );
@@ -1261,3 +1178,4 @@ void UI_GraphicsOptionsMenu( void ) {
 	UI_PushMenu( &s_graphicsoptions.menu );
 	Menu_SetCursorToItem( &s_graphicsoptions.menu, &s_graphicsoptions.graphics );
 }
+
Only in ioquake3serverFix/code/qcommon: files.c.orig
diff -upr ioquake3svn1438/code/qcommon/qcommon.h ioquake3serverFix/code/qcommon/qcommon.h
--- ioquake3svn1438/code/qcommon/qcommon.h	2008-08-06 13:04:36.000000000 -0500
+++ ioquake3serverFix/code/qcommon/qcommon.h	2008-08-09 15:24:09.000000000 -0500
@@ -234,7 +234,6 @@ PROTOCOL
 //Open Arena up to 0.7.6 used 68
 //Open Arena 0.7.7 uses 69
 //Open Arena 0.8.0 will use protocol 70
-//Open Arena Release Candidates uses 10 and forward...
 #define	PROTOCOL_VERSION	70
 // 1.31 - 67
 
Only in ioquake3svn1438/code/renderer: tr_backend.c.rej
diff -upr ioquake3svn1438/code/sdl/sdl_glimp.c ioquake3serverFix/code/sdl/sdl_glimp.c
--- ioquake3svn1438/code/sdl/sdl_glimp.c	2008-08-05 14:26:56.000000000 -0500
+++ ioquake3serverFix/code/sdl/sdl_glimp.c	2008-08-09 11:28:12.000000000 -0500
@@ -78,6 +78,7 @@ typedef enum
 static SDL_Surface *screen = NULL;
 
 cvar_t *r_allowSoftwareGL; // Don't abort out if a hardware visual can't be obtained
+cvar_t *r_sdlDriver;
 
 void (APIENTRYP qglActiveTextureARB) (GLenum texture);
 void (APIENTRYP qglClientActiveTextureARB) (GLenum texture);
@@ -416,12 +417,14 @@ static qboolean GLimp_StartDriverAndSetM
 
 		if (SDL_Init(SDL_INIT_VIDEO) == -1)
 		{
-			ri.Printf( PRINT_ALL, "SDL_Init FAILED (%s)\n", SDL_GetError());
+			ri.Printf( PRINT_ALL, "SDL_Init( SDL_INIT_VIDEO ) FAILED (%s)\n",
+					SDL_GetError());
 			return qfalse;
 		}
 
 		SDL_VideoDriverName( driverName, sizeof( driverName ) - 1 );
 		ri.Printf( PRINT_ALL, "SDL using driver \"%s\"\n", driverName );
+		Cvar_Set( "r_sdlDriver", driverName );
 	}
 
 	if (fullscreen && Cvar_VariableIntegerValue( "in_nograb" ) )
@@ -641,6 +644,9 @@ void GLimp_Init( void )
 	qboolean success = qtrue;
 
 	r_allowSoftwareGL = ri.Cvar_Get( "r_allowSoftwareGL", "0", CVAR_LATCH );
+	r_sdlDriver = ri.Cvar_Get( "r_sdlDriver", "", CVAR_ROM );
+
+	Sys_GLimpInit( );
 
 	// create the window and set up the context
 	if( !GLimp_StartDriverAndSetMode( r_mode->integer, r_fullscreen->integer ) )
@@ -679,8 +685,6 @@ void GLimp_Init( void )
 
 	// This depends on SDL_INIT_VIDEO, hence having it here
 	IN_Init( );
-
-	return;
 }
 
 
@@ -731,6 +735,8 @@ void GLimp_EndFrame( void )
 		if( !sdlToggled )
 			Cbuf_AddText( "vid_restart" );
 
+		IN_Restart( );
+
 		r_fullscreen->modified = qfalse;
 	}
 }
Only in ioquake3svn1438/code/sdl: sdl_icon.h.rej
diff -upr ioquake3svn1438/code/sdl/sdl_input.c ioquake3serverFix/code/sdl/sdl_input.c
--- ioquake3svn1438/code/sdl/sdl_input.c	2008-08-05 14:47:02.000000000 -0500
+++ ioquake3serverFix/code/sdl/sdl_input.c	2008-08-09 11:28:12.000000000 -0500
@@ -41,11 +41,6 @@ Foundation, Inc., 51 Franklin St, Fifth 
 #define MACOS_X_CURSOR_HACK
 #endif
 
-//Sago's Windows acceleration hack! (Basically Windows has the same problem as Mac OS X)
-#ifdef _WIN32
-#define WIN_ACCELERATION_HACK
-#endif
-
 #ifdef MACOS_X_ACCELERATION_HACK
 #include <IOKit/IOTypes.h>
 #include <IOKit/hidsystem/IOHIDLib.h>
@@ -72,10 +67,6 @@ static cvar_t *in_joystick          = NU
 static cvar_t *in_joystickDebug     = NULL;
 static cvar_t *in_joystickThreshold = NULL;
 
-#ifdef WIN_ACCELERATION_HACK
-static DWORD org_mouseInfo[3];
-#endif
-
 /*
 ===============
 IN_TranslateSDLToQ3Key
@@ -258,27 +249,9 @@ IN_ActivateMouse
 */
 static void IN_ActivateMouse( void )
 {
-#ifdef WIN_ACCELERATION_HACK
-	DWORD mouseInfo[3];
-#endif
-
 	if (!mouseAvailable || !SDL_WasInit( SDL_INIT_VIDEO ) )
 		return;
 
-#ifdef WIN_ACCELERATION_HACK
-	if (!mouseActive) 
-	{
-		SystemParametersInfo(SPI_GETMOUSE, NULL, &mouseInfo, SPIF_UPDATEINIFILE);
-		org_mouseInfo[0]=mouseInfo[0];
-		org_mouseInfo[1]=mouseInfo[1];
-		org_mouseInfo[2]=mouseInfo[2];
-		if(mouseInfo[2]!=0) {
-			mouseInfo[2]=0; //Kill Acceleration
-			SystemParametersInfo(SPI_SETMOUSE, NULL, &mouseInfo, SPIF_UPDATEINIFILE);
-		}
-	}
-#endif
-
 #ifdef MACOS_X_ACCELERATION_HACK
 	if (!mouseActive) // mac os x mouse accel hack
 	{
@@ -350,13 +323,16 @@ IN_DeactivateMouse
 */
 static void IN_DeactivateMouse( void )
 {
-	if (!mouseAvailable || !SDL_WasInit( SDL_INIT_VIDEO ) )
+	if( !SDL_WasInit( SDL_INIT_VIDEO ) )
 		return;
 
-#ifdef WIN_ACCELERATION_HACK
-	if (mouseActive && org_mouseInfo[2]!=0)
-		SystemParametersInfo(SPI_SETMOUSE, NULL, &org_mouseInfo, SPIF_UPDATEINIFILE);
-#endif
+	// Always show the cursor when the mouse is disabled,
+	// but not when fullscreen
+	if( !r_fullscreen->integer )
+		SDL_ShowCursor( 1 );
+
+	if( !mouseAvailable )
+		return;
 
 #ifdef MACOS_X_ACCELERATION_HACK
 	if (mouseActive) // mac os x mouse accel hack
@@ -381,7 +357,6 @@ static void IN_DeactivateMouse( void )
 	{
 		SDL_WM_GrabInput( SDL_GRAB_OFF );
 		SDL_WarpMouse( glConfig.vidWidth / 2, glConfig.vidHeight / 2 );
-		SDL_ShowCursor( 1 );
 
 		mouseActive = qfalse;
 	}
@@ -430,10 +405,10 @@ struct
 
 /*
 ===============
-IN_StartupJoystick
+IN_InitJoystick
 ===============
 */
-static void IN_StartupJoystick( void )
+static void IN_InitJoystick( void )
 {
 	int i = 0;
 	int total = 0;
@@ -484,8 +459,22 @@ static void IN_StartupJoystick( void )
 	Com_DPrintf( "Balls: %d\n", SDL_JoystickNumBalls(stick) );
 
 	SDL_JoystickEventState(SDL_QUERY);
+}
+
+/*
+===============
+IN_ShutdownJoystick
+===============
+*/
+static void IN_ShutdownJoystick( void )
+{
+	if (stick)
+	{
+		SDL_JoystickClose(stick);
+		stick = NULL;
+	}
 
-	return;
+	SDL_QuitSubSystem(SDL_INIT_JOYSTICK);
 }
 
 /*
@@ -805,18 +794,22 @@ void IN_Init(void)
 	in_disablemacosxmouseaccel = Cvar_Get ("in_disablemacosxmouseaccel", "1", CVAR_ARCHIVE);
 #endif
 
-	Cvar_Set( "cl_platformSensitivity", "1.0" );
-
 	SDL_EnableUNICODE(1);
 	SDL_EnableKeyRepeat(SDL_DEFAULT_REPEAT_DELAY, SDL_DEFAULT_REPEAT_INTERVAL);
 	keyRepeatEnabled = qtrue;
 
-	if (in_mouse->value)
+	if( in_mouse->value )
+	{
 		mouseAvailable = qtrue;
+		IN_ActivateMouse( );
+	}
 	else
+	{
+		IN_DeactivateMouse( );
 		mouseAvailable = qfalse;
+	}
 
-	IN_StartupJoystick( );
+	IN_InitJoystick( );
 	Com_DPrintf ("------------------------------------\n");
 }
 
@@ -825,17 +818,21 @@ void IN_Init(void)
 IN_Shutdown
 ===============
 */
-void IN_Shutdown(void)
+void IN_Shutdown( void )
 {
-	IN_DeactivateMouse();
-
+	IN_DeactivateMouse( );
 	mouseAvailable = qfalse;
 
-	if (stick)
-	{
-		SDL_JoystickClose(stick);
-		stick = NULL;
-	}
+	IN_ShutdownJoystick( );
+}
 
-	SDL_QuitSubSystem(SDL_INIT_JOYSTICK);
+/*
+===============
+IN_Restart
+===============
+*/
+void IN_Restart( void )
+{
+	IN_ShutdownJoystick( );
+	IN_Init( );
 }
Only in ioquake3svn1438/code/sdl: sdl_input.c.rej
Only in ioquake3svn1438/code/SDL12/include: wspiapi.h
diff -upr ioquake3svn1438/code/server/sv_ccmds.c ioquake3serverFix/code/server/sv_ccmds.c
--- ioquake3svn1438/code/server/sv_ccmds.c	2008-07-23 12:10:56.000000000 -0500
+++ ioquake3serverFix/code/server/sv_ccmds.c	2008-08-09 15:22:37.000000000 -0500
@@ -433,6 +433,18 @@ static void SV_Ban_f( void ) {
 		return;
 	}
 
+	if(strlen(AUTHORIZE_SERVER_NAME) < 1)
+	{
+		Com_Printf("Ban function disabled due to lack of authorizing server.\n");
+		return;
+	}
+
+	if(strlen(AUTHORIZE_SERVER_NAME) < 1)
+	{
+		Com_Printf("Ban function disabled due to lack of authorizing server.\n");
+		return;
+	}
+
 	// look up the authorize server's IP
 	if ( !svs.authorizeAddress.ip[0] && svs.authorizeAddress.type != NA_BAD ) {
 		Com_Printf( "Resolving %s\n", AUTHORIZE_SERVER_NAME );
@@ -487,6 +499,18 @@ static void SV_BanNum_f( void ) {
 		return;
 	}
 
+	if(strlen(AUTHORIZE_SERVER_NAME) < 1)
+	{
+		Com_Printf("Ban function disabled due to lack of authorizing server.\n");
+		return;
+	}
+
+	if(strlen(AUTHORIZE_SERVER_NAME) < 1)
+	{
+		Com_Printf("Ban function disabled due to lack of authorizing server.\n");
+		return;
+	}
+
 	// look up the authorize server's IP
 	if ( !svs.authorizeAddress.ip[0] && svs.authorizeAddress.type != NA_BAD ) {
 		Com_Printf( "Resolving %s\n", AUTHORIZE_SERVER_NAME );
diff -upr ioquake3svn1438/code/server/sv_client.c ioquake3serverFix/code/server/sv_client.c
--- ioquake3svn1438/code/server/sv_client.c	2008-07-23 12:10:56.000000000 -0500
+++ ioquake3serverFix/code/server/sv_client.c	2008-08-09 15:22:37.000000000 -0500
@@ -82,11 +82,11 @@ void SV_GetChallenge( netadr_t from ) {
 	}
 
 #ifdef STANDALONE
-	if(Cvar_VariableIntegerValue("com_standalone"))
-	{
+	//if(Cvar_VariableIntegerValue("com_standalone"))
+	//{
 		challenge->pingTime = svs.time;
 		NET_OutOfBandPrint( NS_SERVER, from, "challengeResponse %i", challenge->challenge );
-	}
+	//}
 #else
 	// if they are on a lan address, send the challengeResponse immediately
 	if ( Sys_IsLANAddress( from ) ) {
diff -upr ioquake3svn1438/code/server/sv_init.c ioquake3serverFix/code/server/sv_init.c
--- ioquake3svn1438/code/server/sv_init.c	2008-08-05 14:47:02.000000000 -0500
+++ ioquake3serverFix/code/server/sv_init.c	2008-08-09 11:28:19.000000000 -0500
@@ -287,6 +287,8 @@ void SV_Startup( void ) {
 
 	Cvar_Set( "sv_running", "1" );
 	
+	// Join the ipv6 multicast group now that a map is running so clients can scan for us on the local network.
+	NET_JoinMulticast6();
 }
 
 
@@ -742,6 +744,8 @@ void SV_Shutdown( char *finalmsg ) {
 
 	Com_Printf( "----- Server Shutdown (%s) -----\n", finalmsg );
 
+	NET_LeaveMulticast6();
+
 	if ( svs.clients && !com_errorEntered ) {
 		SV_FinalMessage( finalmsg );
 	}
Only in ioquake3svn1438/code/server: sv_init.c.rej
diff -upr ioquake3svn1438/code/server/sv_main.c ioquake3serverFix/code/server/sv_main.c
--- ioquake3svn1438/code/server/sv_main.c	2008-08-05 14:47:02.000000000 -0500
+++ ioquake3serverFix/code/server/sv_main.c	2008-08-09 15:22:37.000000000 -0500
@@ -412,6 +412,10 @@ void SVC_Info( netadr_t from ) {
 		va("%i", sv_maxclients->integer - sv_privateClients->integer ) );
 	Info_SetValueForKey( infostring, "gametype", va("%i", sv_gametype->integer ) );
 	Info_SetValueForKey( infostring, "pure", va("%i", sv_pure->integer ) );
+	//Sago's things:
+	Info_SetValueForKey( infostring, "g_needpass", va("%i", (int)Cvar_VariableValue("g_needpass") ) );
+	Info_SetValueForKey( infostring, "g_humanplayers", va("%i", (int)Cvar_VariableValue("g_humanplayers") ) );
+	//Sago's end
 
 #ifdef USE_VOIP
 	if (sv_voip->integer) {
Only in ioquake3serverFix/code/server: sv_main.c.orig
Only in ioquake3svn1438/code/server: sv_main.c.rej
diff -upr ioquake3svn1438/code/sys/sys_local.h ioquake3serverFix/code/sys/sys_local.h
--- ioquake3svn1438/code/sys/sys_local.h	2008-08-05 14:26:57.000000000 -0500
+++ ioquake3serverFix/code/sys/sys_local.h	2008-08-09 11:28:24.000000000 -0500
@@ -32,6 +32,7 @@ Foundation, Inc., 51 Franklin St, Fifth 
 void IN_Init( void );
 void IN_Frame( void );
 void IN_Shutdown( void );
+void IN_Restart( void );
 
 // Console
 void CON_Shutdown( void );
@@ -47,6 +48,7 @@ unsigned int CON_LogRead( char *out, uns
 char *Sys_StripAppBundle( char *pwd );
 #endif
 
+void Sys_GLimpInit( void );
 void Sys_PlatformInit( void );
 void Sys_SigHandler( int signal );
 void Sys_ErrorDialog( const char *error );
diff -upr ioquake3svn1438/code/sys/sys_main.c ioquake3serverFix/code/sys/sys_main.c
--- ioquake3svn1438/code/sys/sys_main.c	2008-08-05 14:26:57.000000000 -0500
+++ ioquake3serverFix/code/sys/sys_main.c	2008-08-09 11:28:24.000000000 -0500
@@ -112,8 +112,7 @@ Restart the input subsystem
 */
 void Sys_In_Restart_f( void )
 {
-	IN_Shutdown();
-	IN_Init();
+	IN_Restart( );
 }
 
 /*
@@ -551,16 +550,6 @@ int main( int argc, char **argv )
 
 	CON_Init( );
 
-#ifndef _WIN32
-	// Windows doesn't have these signals
-	// see CON_CtrlHandler() in con_win32.c
-	signal( SIGHUP, Sys_SigHandler );
-	signal( SIGQUIT, Sys_SigHandler );
-	signal( SIGTRAP, Sys_SigHandler );
-	signal( SIGIOT, Sys_SigHandler );
-	signal( SIGBUS, Sys_SigHandler );
-#endif
-
 	signal( SIGILL, Sys_SigHandler );
 	signal( SIGFPE, Sys_SigHandler );
 	signal( SIGSEGV, Sys_SigHandler );
diff -upr ioquake3svn1438/code/sys/sys_unix.c ioquake3serverFix/code/sys/sys_unix.c
--- ioquake3svn1438/code/sys/sys_unix.c	2008-08-05 14:48:55.000000000 -0500
+++ ioquake3serverFix/code/sys/sys_unix.c	2008-08-09 15:22:37.000000000 -0500
@@ -24,6 +24,7 @@ Foundation, Inc., 51 Franklin St, Fifth 
 #include "../qcommon/qcommon.h"
 #include "sys_local.h"
 
+#include <signal.h>
 #include <sys/types.h>
 #include <sys/stat.h>
 #include <errno.h>
@@ -514,6 +515,18 @@ void Sys_ErrorDialog( const char *error 
 
 /*
 ==============
+Sys_GLimpInit
+
+Unix specific GL implementation initialisation
+==============
+*/
+void Sys_GLimpInit( void )
+{
+	// NOP
+}
+
+/*
+==============
 Sys_PlatformInit
 
 Unix specific initialisation
@@ -521,5 +534,9 @@ Unix specific initialisation
 */
 void Sys_PlatformInit( void )
 {
-	// NOP
+	signal( SIGHUP, Sys_SigHandler );
+	signal( SIGQUIT, Sys_SigHandler );
+	signal( SIGTRAP, Sys_SigHandler );
+	signal( SIGIOT, Sys_SigHandler );
+	signal( SIGBUS, Sys_SigHandler );
 }
Only in ioquake3serverFix/code/sys: sys_unix.c.orig
diff -upr ioquake3svn1438/code/sys/sys_win32.c ioquake3serverFix/code/sys/sys_win32.c
--- ioquake3svn1438/code/sys/sys_win32.c	2008-08-05 14:48:55.000000000 -0500
+++ ioquake3serverFix/code/sys/sys_win32.c	2008-08-09 15:22:37.000000000 -0500
@@ -577,6 +577,40 @@ void Sys_ErrorDialog( const char *error 
 	}
 }
 
+#ifndef DEDICATED
+static qboolean SDL_VIDEODRIVER_externallySet = qfalse;
+#endif
+
+/*
+==============
+Sys_GLimpInit
+
+Windows specific GL implementation initialisation
+==============
+*/
+void Sys_GLimpInit( void )
+{
+#ifndef DEDICATED
+	if( !SDL_VIDEODRIVER_externallySet )
+	{
+		// It's a little bit weird having in_mouse control the
+		// video driver, but from ioq3's point of view they're
+		// virtually the same except for the mouse input anyway
+		if( Cvar_VariableIntegerValue( "in_mouse" ) == -1 )
+		{
+			// Use the windib SDL backend, which is closest to
+			// the behaviour of idq3 with in_mouse set to -1
+			_putenv( "SDL_VIDEODRIVER=windib" );
+		}
+		else
+		{
+			// Use the DirectX SDL backend
+			_putenv( "SDL_VIDEODRIVER=directx" );
+		}
+	}
+#endif
+}
+
 /*
 ==============
 Sys_PlatformInit
@@ -587,7 +621,15 @@ Windows specific initialisation
 void Sys_PlatformInit( void )
 {
 #ifndef DEDICATED
-	// Force the DirectX SDL backend to be used
-	_putenv( "SDL_VIDEODRIVER=directx" );
+	const char *SDL_VIDEODRIVER = getenv( "SDL_VIDEODRIVER" );
+
+	if( SDL_VIDEODRIVER )
+	{
+		Com_Printf( "SDL_VIDEODRIVER is externally set to \"%s\", "
+				"in_mouse -1 will have no effect\n", SDL_VIDEODRIVER );
+		SDL_VIDEODRIVER_externallySet = qtrue;
+	}
+	else
+		SDL_VIDEODRIVER_externallySet = qfalse;
 #endif
 }
Only in ioquake3svn1438/code/ui: compile.bat
diff -upr ioquake3svn1438/code/ui/ui_atoms.c ioquake3serverFix/code/ui/ui_atoms.c
--- ioquake3svn1438/code/ui/ui_atoms.c	2008-06-22 03:28:43.000000000 -0500
+++ ioquake3serverFix/code/ui/ui_atoms.c	2008-08-09 11:28:23.000000000 -0500
@@ -76,7 +76,7 @@ void UI_StartDemoLoop( void ) {
 }
 
 
-#ifndef MISSIONPACK // bk001206
+#ifndef MISSIONPACK
 static void NeedCDAction( qboolean result ) {
 	if ( !result ) {
 		trap_Cmd_ExecuteText( EXEC_APPEND, "quit\n" );
@@ -84,7 +84,7 @@ static void NeedCDAction( qboolean resul
 }
 #endif // MISSIONPACK
 
-#ifndef MISSIONPACK // bk001206
+#ifndef MISSIONPACK
 static void NeedCDKeyAction( qboolean result ) {
 	if ( !result ) {
 		trap_Cmd_ExecuteText( EXEC_APPEND, "quit\n" );
Only in ioquake3svn1438/code/ui: ui.bat
diff -upr ioquake3svn1438/code/ui/ui_gameinfo.c ioquake3serverFix/code/ui/ui_gameinfo.c
--- ioquake3svn1438/code/ui/ui_gameinfo.c	2008-06-22 03:28:43.000000000 -0500
+++ ioquake3serverFix/code/ui/ui_gameinfo.c	2008-08-09 11:28:23.000000000 -0500
@@ -38,7 +38,7 @@ static char		*ui_botInfos[MAX_BOTS];
 static int		ui_numArenas;
 static char		*ui_arenaInfos[MAX_ARENAS];
 
-#ifndef MISSIONPACK // bk001206
+#ifndef MISSIONPACK
 static int		ui_numSinglePlayerArenas;
 static int		ui_numSpecialSinglePlayerArenas;
 #endif
@@ -198,18 +198,6 @@ void UI_LoadArenas( void ) {
 			if( strstr( type, "harvester" ) ) {
 				uiInfo.mapList[uiInfo.mapCount].typeBits |= (1 << GT_HARVESTER);
 			}
-			if( strstr( type, "elimination" ) ) {
-				uiInfo.mapList[uiInfo.mapCount].typeBits |= (1 << GT_ELIMINATION);
-			}
-			if( strstr( type, "ctfelimination" ) ) {
-				uiInfo.mapList[uiInfo.mapCount].typeBits |= (1 << GT_CTF_ELIMINATION);
-			}
-			if( strstr( type, "lms" ) ) {
-				uiInfo.mapList[uiInfo.mapCount].typeBits |= (1 << GT_LMS);
-			}
-			if( strstr( type, "dd" ) ) {
-				uiInfo.mapList[uiInfo.mapCount].typeBits |= (1 << GT_DOUBLE_D);
-			}
 		} else {
 			uiInfo.mapList[uiInfo.mapCount].typeBits |= (1 << GT_FFA);
 		}
